import Chain1030light from '../logos/chain/Chain1030Light.svg';
import Chain146light from '../logos/chain/Chain146Light.svg';
import Chain1868light from '../logos/chain/Chain1868Light.svg';
import Chain196light from '../logos/chain/Chain196Light.svg';
import Chain2001light from '../logos/chain/Chain2001Light.svg';
import Chain252light from '../logos/chain/Chain252Light.svg';
import Chain280light from '../logos/chain/Chain280Light.svg';
import Chain324light from '../logos/chain/Chain324Light.svg';
import Chain325000light from '../logos/chain/Chain325000Light.svg';
import Chain34443light from '../logos/chain/Chain34443Light.svg';
import Chain480light from '../logos/chain/Chain480Light.svg';
import Chain4913light from '../logos/chain/Chain4913Light.svg';
import Chain5000light from '../logos/chain/Chain5000Light.svg';
import Chain5001light from '../logos/chain/Chain5001Light.svg';
import Chain5003light from '../logos/chain/Chain5003Light.svg';
import Chain57054light from '../logos/chain/Chain57054Light.svg';
import Chain59140light from '../logos/chain/Chain59140Light.svg';
import Chain59141light from '../logos/chain/Chain59141Light.svg';
import Chain59144light from '../logos/chain/Chain59144Light.svg';
import Chain60808light from '../logos/chain/Chain60808Light.svg';
import Chain64165light from '../logos/chain/Chain64165Light.svg';
import Chain71light from '../logos/chain/Chain71Light.svg';
import Chain747474light from '../logos/chain/Chain747474Light.svg';
import Chain81457light from '../logos/chain/Chain81457Light.svg';
import Chain82light from '../logos/chain/Chain82Light.svg';
import Chain994873017light from '../logos/chain/Chain994873017Light.svg';
import Chain999light from '../logos/chain/Chain999Light.svg';
import Chain33139 from '../logos/chain/Chain33139.svg';
import Chain33111 from '../logos/chain/Chain33111.svg';
import Chain42161 from '../logos/chain/Chain42161.svg';
import Chain421614 from '../logos/chain/Chain421614.svg';
import Chain43114 from '../logos/chain/Chain43114.svg';
import Chain43113 from '../logos/chain/Chain43113.svg';
import Chain8453 from '../logos/chain/Chain8453.svg';
import Chain84532 from '../logos/chain/Chain84532.svg';
import Chain80094 from '../logos/chain/Chain80094.svg';
import Chain200901 from '../logos/chain/Chain200901.svg';
import Chain200810 from '../logos/chain/Chain200810.svg';
import Chain81457 from '../logos/chain/Chain81457.svg';
import Chain168587773 from '../logos/chain/Chain168587773.svg';
import Chain60808 from '../logos/chain/Chain60808.svg';
import Chain808813 from '../logos/chain/Chain808813.svg';
import Chain56 from '../logos/chain/Chain56.svg';
import Chain97 from '../logos/chain/Chain97.svg';
import Chain1116 from '../logos/chain/Chain1116.svg';
import Chain1114 from '../logos/chain/Chain1114.svg';
import Chain1 from '../logos/chain/Chain1.svg';
import Chain560048 from '../logos/chain/Chain560048.svg';
import Chain11155111 from '../logos/chain/Chain11155111.svg';
import Chain252 from '../logos/chain/Chain252.svg';
import Chain100 from '../logos/chain/Chain100.svg';
import Chain10200 from '../logos/chain/Chain10200.svg';
import Chain999 from '../logos/chain/Chain999.svg';
import Chain998 from '../logos/chain/Chain998.svg';
import Chain1776 from '../logos/chain/Chain1776.svg';
import Chain1439 from '../logos/chain/Chain1439.svg';
import Chain747474 from '../logos/chain/Chain747474.svg';
import Chain737373 from '../logos/chain/Chain737373.svg';
import Chain2222 from '../logos/chain/Chain2222.svg';
import Chain2221 from '../logos/chain/Chain2221.svg';
import Chain59144 from '../logos/chain/Chain59144.svg';
import Chain994873017 from '../logos/chain/Chain994873017.svg';
import Chain2030232745 from '../logos/chain/Chain2030232745.svg';
import Chain169 from '../logos/chain/Chain169.svg';
import Chain3441006 from '../logos/chain/Chain3441006.svg';
import Chain5000 from '../logos/chain/Chain5000.svg';
import Chain5003 from '../logos/chain/Chain5003.svg';
import Chain4200 from '../logos/chain/Chain4200.svg';
import Chain34443 from '../logos/chain/Chain34443.svg';
import Chain919 from '../logos/chain/Chain919.svg';
import Chain10143 from '../logos/chain/Chain10143.svg';
import Chain1284 from '../logos/chain/Chain1284.svg';
import Chain1287 from '../logos/chain/Chain1287.svg';
import Chain1285 from '../logos/chain/Chain1285.svg';
import Chain10 from '../logos/chain/Chain10.svg';
import Chain11155420 from '../logos/chain/Chain11155420.svg';
import Chain137 from '../logos/chain/Chain137.svg';
import Chain80002 from '../logos/chain/Chain80002.svg';
import Chain2020 from '../logos/chain/Chain2020.svg';
import Chain2021 from '../logos/chain/Chain2021.svg';
import Chain534352 from '../logos/chain/Chain534352.svg';
import Chain534351 from '../logos/chain/Chain534351.svg';
import Chain1329 from '../logos/chain/Chain1329.svg';
import Chain1328 from '../logos/chain/Chain1328.svg';
import Chain5031 from '../logos/chain/Chain5031.svg';
import Chain50312 from '../logos/chain/Chain50312.svg';
import Chain1868 from '../logos/chain/Chain1868.svg';
import Chain1946 from '../logos/chain/Chain1946.svg';
import Chain146 from '../logos/chain/Chain146.svg';
import Chain14601 from '../logos/chain/Chain14601.svg';
import Chain167000 from '../logos/chain/Chain167000.svg';
import Chain167013 from '../logos/chain/Chain167013.svg';
import Chain130 from '../logos/chain/Chain130.svg';
import Chain1301 from '../logos/chain/Chain1301.svg';
import Chain480 from '../logos/chain/Chain480.svg';
import Chain4801 from '../logos/chain/Chain4801.svg';
import Chain196 from '../logos/chain/Chain196.svg';
import Chain48900 from '../logos/chain/Chain48900.svg';
import Chain48898 from '../logos/chain/Chain48898.svg';
import ChainPlaceholder from '../logos/chain/Placeholder.svg';
function sanitizeName(id) {
  return id.replace(/\s+|-/g, '').replace(/ExchangeRate/g, '');
}
function ChainLogo(id, light = false) {
  if (!id) {
    return ChainPlaceholder;
  }
  switch (sanitizeName(`${id}${light ? "light" : ""}`).toLowerCase()) {
    case "1030light":
      return Chain1030light;
    case "146light":
      return Chain146light;
    case "1868light":
      return Chain1868light;
    case "196light":
      return Chain196light;
    case "2001light":
      return Chain2001light;
    case "252light":
      return Chain252light;
    case "280light":
      return Chain280light;
    case "324light":
      return Chain324light;
    case "325000light":
      return Chain325000light;
    case "34443light":
      return Chain34443light;
    case "480light":
      return Chain480light;
    case "4913light":
      return Chain4913light;
    case "5000light":
      return Chain5000light;
    case "5001light":
      return Chain5001light;
    case "5003light":
      return Chain5003light;
    case "57054light":
      return Chain57054light;
    case "59140light":
      return Chain59140light;
    case "59141light":
      return Chain59141light;
    case "59144light":
      return Chain59144light;
    case "60808light":
      return Chain60808light;
    case "64165light":
      return Chain64165light;
    case "71light":
      return Chain71light;
    case "747474light":
      return Chain747474light;
    case "81457light":
      return Chain81457light;
    case "82light":
      return Chain82light;
    case "994873017light":
      return Chain994873017light;
    case "999light":
      return Chain999light;
    case "33139":
      return Chain33139;
    case "33111":
      return Chain33111;
    case "42161":
      return Chain42161;
    case "421614":
      return Chain421614;
    case "43114":
      return Chain43114;
    case "43113":
      return Chain43113;
    case "8453":
      return Chain8453;
    case "84532":
      return Chain84532;
    case "80094":
      return Chain80094;
    case "200901":
      return Chain200901;
    case "200810":
      return Chain200810;
    case "81457":
      return Chain81457;
    case "168587773":
      return Chain168587773;
    case "60808":
      return Chain60808;
    case "808813":
      return Chain808813;
    case "56":
      return Chain56;
    case "97":
      return Chain97;
    case "1116":
      return Chain1116;
    case "1114":
      return Chain1114;
    case "1":
      return Chain1;
    case "560048":
      return Chain560048;
    case "11155111":
      return Chain11155111;
    case "252":
      return Chain252;
    case "100":
      return Chain100;
    case "10200":
      return Chain10200;
    case "999":
      return Chain999;
    case "998":
      return Chain998;
    case "1776":
      return Chain1776;
    case "1439":
      return Chain1439;
    case "747474":
      return Chain747474;
    case "737373":
      return Chain737373;
    case "2222":
      return Chain2222;
    case "2221":
      return Chain2221;
    case "59144":
      return Chain59144;
    case "994873017":
      return Chain994873017;
    case "2030232745":
      return Chain2030232745;
    case "169":
      return Chain169;
    case "3441006":
      return Chain3441006;
    case "5000":
      return Chain5000;
    case "5003":
      return Chain5003;
    case "4200":
      return Chain4200;
    case "34443":
      return Chain34443;
    case "919":
      return Chain919;
    case "10143":
      return Chain10143;
    case "1284":
      return Chain1284;
    case "1287":
      return Chain1287;
    case "1285":
      return Chain1285;
    case "10":
      return Chain10;
    case "11155420":
      return Chain11155420;
    case "137":
      return Chain137;
    case "80002":
      return Chain80002;
    case "2020":
      return Chain2020;
    case "2021":
      return Chain2021;
    case "534352":
      return Chain534352;
    case "534351":
      return Chain534351;
    case "1329":
      return Chain1329;
    case "1328":
      return Chain1328;
    case "5031":
      return Chain5031;
    case "50312":
      return Chain50312;
    case "1868":
      return Chain1868;
    case "1946":
      return Chain1946;
    case "146":
      return Chain146;
    case "14601":
      return Chain14601;
    case "167000":
      return Chain167000;
    case "167013":
      return Chain167013;
    case "130":
      return Chain130;
    case "1301":
      return Chain1301;
    case "480":
      return Chain480;
    case "4801":
      return Chain4801;
    case "196":
      return Chain196;
    case "48900":
      return Chain48900;
    case "48898":
      return Chain48898;
    default:
      return light ? ChainLogo(id) : ChainPlaceholder;
  }
}
export default ChainLogo;